Subject: Lathe origin question

From: <[email-masked]>
Date: Fri, 3 Sep 1993 09:40:18 CDT

I just purchased a used lathe without any documentation or owners
manual.  This lathe appears about 6-7 years old and is currently
sold by Hatbor Freight and just recently by Enco.  It is 7 x 10
and has a variable speed motor.  The overall quality is excellent
and just doesn't seem to be Chinese because of the quality.  Does
anyone have experience and or information on this unit?  Thanks.

Gordon Pari